var $iNumTotal = 0;
var $iNumCurrent = 0;
var $iPoints = 0;
var $wrapper = $('#container');
var $body = $('body');
var $brickButton = $('.sigle');
var $gameEnd = false;

/* var $destroyButton = $('#destroy-button');
var $createButton = $('#create-button'); */

// TEMPLATES

var $brickTemplate = $('<article></article>').addClass('brick');
var $buttonTemplate = $('<input type="button" value="Destroy" />').addClass('button single');
var $buttonResetTemplate = $('<input type="button" value="Reset" />').addClass('button reset');

// FUNCTIONS

const $createBrick = function ()
{
	let $newBrick = $brickTemplate.append($buttonTemplate).clone();

	$wrapper.append($newBrick);

	setTimeout(function ()
	{
		$newBrick.addClass('visible');
		$iNumTotal++;
		$iNumCurrent++;
	}, 10);
};

const $destroyBrick = function ($brick)
{
	$brick.addClass('destroyed');

	// transitionDuration

	setTimeout(function ()
	{
		$brick.addClass('removed');

		setTimeout(function ()
		{
			$brick.remove();
			$iNumCurrent--;
			$iPoints++;
		}, 1000);
	}, 1000)
};

const $destroyAllBricks = function ()
{
	$wrapper.empty();
};

const $createBrickOrEndGame = function ()
{
	if ($iNumCurrent > 18) {
		clearInterval($gameInterval);
		$destroyAllBricks();
		$iNumCurrent = 0;
		$gameEnd = true;
		var $gameEndTemplate = $('<h1><p>'+'Game End! Points: '+$iPoints+'</p></h1>').addClass('title');
		$gameEndTemplate.append($buttonResetTemplate.clone());
		$body.append($gameEndTemplate.clone());
	} else {
		$createBrick();
	}
};

// EVENTS
/* $destroyButton.on('click', $destroyAllBricks);

$createButton.on('click', $createBrick); */

$wrapper.on('click', '.single', function()
{
	$destroyBrick($(this).parent());
});
$body.on('click', '.reset', function() {
	$('h1').remove();
	$iPoints = 0;
	$iNumTotal = 0;
	$iNumCurrent = 0;
	$gameInterval = setInterval($createBrickOrEndGame, 1000);
});

var $gameInterval = setInterval($createBrickOrEndGame, 1000);